local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0)
    setBloomStrength(0)
    player.DummyAutoAnimate = true
    player.Facing = getEnum("Celeste.Facings", "Right")

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(3240, 4324), 2, 0.001))

    wait(1)
    miniTextbox("WHE_NaCline_H_08")
    wait(2)
    miniTextbox("WHE_NaCline_H_09")
    wait(2.7)

    setDarkness(1)
    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(3240, 4508), 2))
    teleportTo(3256, 4543, "feel_07F")

    enableMovement()
    endCutscene ()
	

end